Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.row
Class ValueMetaAndData

    java.lang.Object
      org.pentaho.di.core.row.ValueMetaAndData

    public class ValueMetaAndData

extends Object

Field Summary
`static String` | `VALUE_REPOSITORY_DATE_CONVERSION_MASK`
`static String` | `VALUE_REPOSITORY_DECIMAL_SYMBOL`
`static String` | `VALUE_REPOSITORY_GROUPING_SYMBOL`
`static String` | `VALUE_REPOSITORY_INTEGER_CONVERSION_MASK`
`static String` | `VALUE_REPOSITORY_NUMBER_CONVERSION_MASK`
`static String` | `XML_TAG`

Constructor Summary
`ValueMetaAndData()`
`ValueMetaAndData(Node valnode)` Construct a new Value and read the data from XML
`ValueMetaAndData(String valueName, Object valueData)`
`ValueMetaAndData(ValueMetaInterface valueMeta, Object valueData)`

Method Summary
`Object` | `clone()`
`Object` | `getValueData()`
`ValueMetaInterface` | `getValueMeta()`
`String` | `getXML()` Produce the XML representation of this value.
`boolean` | `loadXML(Node valnode)` Read the data for this Value from an XML Node
`void` | `setValueData(Object valueData)`
`void` | `setValueMeta(ValueMetaInterface valueMeta)`
`String` | `toString()`
`String` | `toStringMeta()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

### VALUE_REPOSITORY_NUMBER_CONVERSION_MASK

    public static final String VALUE_REPOSITORY_NUMBER_CONVERSION_MASK

See Also:
  Constant Field Values

### VALUE_REPOSITORY_INTEGER_CONVERSION_MASK

    public static final String VALUE_REPOSITORY_INTEGER_CONVERSION_MASK

See Also:
  Constant Field Values

### VALUE_REPOSITORY_DATE_CONVERSION_MASK

    public static final String VALUE_REPOSITORY_DATE_CONVERSION_MASK

See Also:
  Constant Field Values

### VALUE_REPOSITORY_DECIMAL_SYMBOL

    public static final String VALUE_REPOSITORY_DECIMAL_SYMBOL

See Also:
  Constant Field Values

### VALUE_REPOSITORY_GROUPING_SYMBOL

    public static final String VALUE_REPOSITORY_GROUPING_SYMBOL

See Also:
  Constant Field Values

Constructor Detail

### ValueMetaAndData

    public ValueMetaAndData()

### ValueMetaAndData

    public ValueMetaAndData(ValueMetaInterface valueMeta,
                            Object valueData)

Parameters:
  `valueMeta` -
  `valueData` -

### ValueMetaAndData

    public ValueMetaAndData(String valueName,
                            Object valueData)
                     throws KettleValueException

Throws:
  `KettleValueException`

### ValueMetaAndData

    public ValueMetaAndData(Node valnode)

  Construct a new Value and read the data from XML

  Parameters:
    `valnode` - The XML Node to read from.

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getXML

    public String getXML()
                  throws KettleValueException

  Produce the XML representation of this value.

  Returns:
    a String containing the XML to represent this Value.
  Throws:
    `KettleValueException` - in case there is a data conversion error, only throws in case of lazy conversion

### loadXML

    public boolean loadXML(Node valnode)

  Read the data for this Value from an XML Node

  Parameters:
    `valnode` - The XML Node to read from
  Returns:
    true if all went well, false if something went wrong.

### toStringMeta

    public String toStringMeta()

### getValueData

    public Object getValueData()

  Returns:
    the valueData

### setValueData

    public void setValueData(Object valueData)

  Parameters:
    `valueData` - the valueData to set

### getValueMeta

    public ValueMetaInterface getValueMeta()

  Returns:
    the valueMeta

### setValueMeta

    public void setValueMeta(ValueMetaInterface valueMeta)

  Parameters:
    `valueMeta` - the valueMeta to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD